'use strict';

/* App Module */

var app = angular.module('app', [
    'ui.bootstrap',
    'ui.router',
    'LocalStorageModule',
    'dialogs.main',
    'ngSanitize',
    'luticateUtils',
    'luticateAuth',
    'appSdk'
]);

app.config(['$stateProvider', '$urlRouterProvider', '$httpProvider', '$locationProvider',
    function($stateProvider, $urlRouterProvider, $httpProvider, $locationProvider) {

        //$locationProvider.html5Mode(true);


        $stateProvider.state('home',{
            url:'/',
            templateUrl:'views/home.html',
            controller:'HomeController'
        });

        $urlRouterProvider.otherwise('/');

    }])
    .directive('dateNow', ['$filter', function($filter) {
        return {
            link: function( $scope, $element, $attrs) {
                $element.text($filter('date')(new Date(), $attrs.dateNow));
            }
        };
    }])
    .run(['$rootScope', '$state',function ($rootScope, $state) {
        $rootScope.$on('$stateChangeError', function (e, curr, prev) {
            //$state.go('login');
        });
    }]);